<?php
session_register('cnt_des'); ## Descargadas
session_register('cnt_sin'); ## Sin PLanillar
session_register('cnt_otro'); ## Planilladas a Otro Mensajero
session_register('cnt_estado'); ## Guias en Otro Estado
$target='guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

$nombrepagina = "DESCARGUE DE GUIAS POR MENSAJERO";
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;




function escribe_archivo($str_cadena,$str_archivo){

	//$cadena = trim($codbar).';'.$ruta_imgdup.';'.$p_fecha.chr(13).chr(10);
	$archivo = fopen ($str_archivo, "a+");
	fwrite($archivo, $str_cadena);
	fclose($archivo);
}



if($filas == 1)
{
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
	class obtiene{
		var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$_SESSION['tabla_guia'] = "guias_proceso";
	$tabla=$_SESSION['tabla_guia'];
	$pla=$_SESSION['planilla'];
?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow
function displayStaticMessage(messageContent,cssClass,src)
{
	document.backup.guia.disabled=true;
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(450,120);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	messageObj.display();
}

function cierraMessage()
{
	messageObj.close();
	document.backup.guia.disabled=false;
	document.backup.guia.focus();
}

function reproducir() {
	document.all['cancion'].src='sound/alert.wav'
}

</script>
<form action="" method="POST" name="backup"><CENTER>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccione Mensajero ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Mensajero:
</td>
<td width="200" class="miTable_td">
<select name="mensajero" class="inputbox" style="width:30em;">
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
No Guia:
</td>
<td width="200" class="miTable_td">
<!--<input type="text" name="guia" class="inputbox">-->
<textarea cols="20" rows="10" name="guia" id="guia"></textarea>
<input type="hidden" name="cantidad" class="inputbox" value="<? if ($_POST['cantidad']==''){ echo '1';}else{ echo $_POST['cantidad']+1;}?>">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Descargar" class="inputbox">
</div>
</td>
</tr>
</table>

<table border="0" width="720" class="primaria">
<tr class="miTable_tr">
<td valign="top" class=miTable_th1 width="60"><div align="center">Descargadas</div></td>
<td valign=top class=miTable_th1 width="60"><div align="center">Sin Planillar</div></td>
<td valign=top class=miTable_th1 width="60"><div align="center">Planilladas Otro Mensajero</div></td>
<td valign=top class=miTable_th1 width="60"><div align="center">Otro Estado</div></td>
</tr>
<?php
$n_guia = $_POST['guia'];
$n_mensajero = $_POST['mensajero'];
$condicion = "";
$db = new conexion();
$db->conectarse();
if(!isset($n_guia)){
	//echo "No ha dado click en boton";
	$cuenta_guias=0;
	$_SESSION['cnt_des']=0;
	$_SESSION['cnt_sin']=0;
	$_SESSION['cnt_otro']=0;
	$_SESSION['cnt_estado']=0;
	if (file_exists($_GET['id_user']."guias_descargadas.txt"))unlink($_GET['id_user']."guias_descargadas.txt");
	if (file_exists($_GET['id_user']."guias_sin_planillar.txt"))unlink($_GET['id_user']."guias_sin_planillar.txt");
	if (file_exists($_GET['id_user']."guias_otro_mensajero.txt"))unlink($_GET['id_user']."guias_otro_mensajero.txt");
	if (file_exists($_GET['id_user']."guias_otro_estado.txt"))unlink($_GET['id_user']."guias_otro_estado.txt");

}else{

	
	$cuenta_guias=0;
	$_SESSION['cnt_des']=0;
	$_SESSION['cnt_sin']=0;
	$_SESSION['cnt_otro']=0;
	$_SESSION['cnt_estado']=0;
	if (file_exists($_GET['id_user']."guias_descargadas.txt"))unlink($_GET['id_user']."guias_descargadas.txt");
	if (file_exists($_GET['id_user']."guias_sin_planillar.txt"))unlink($_GET['id_user']."guias_sin_planillar.txt");
	if (file_exists($_GET['id_user']."guias_otro_mensajero.txt"))unlink($_GET['id_user']."guias_otro_mensajero.txt");
	if (file_exists($_GET['id_user']."guias_otro_estado.txt"))unlink($_GET['id_user']."guias_otro_estado.txt");
		
	$input=explode("\n",$n_guia);
        $arr_guia=array_unique($input);

	for($ytr=0;$ytr<=count($arr_guia);$ytr++){
		$num_guia=trim($arr_guia[$ytr]);
		if(!empty($num_guia)){
$egestion='14';
$mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno()){
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
}
$result = mysqli_query($mysqli, "select fecha_limite from ordenes o inner join guias_proceso gp on o.orden=gp.orden where gp.guia='".$num_guia."'");
while($value = mysqli_fetch_assoc($result)){
 $fecha=$value['fecha_limite'];
}
$fecha_entrada = $fecha;
$fecha_actual = date("Y-m-d");
$interval= date_diff($fecha_actual, $fecha_entrada);
if($interval > 0)
{
$resul="<div style='background:darkred;color:white;'>La fecha limite de la orden de servicio ha terminado hace ".$interval." dias. Los registros estan actualizados fuera de Tiempo...".$num_guia."</div>";
echo $resul;
$egestion='21';
}
			$v_sql = "update guias_proceso set id_estado='".$egestion."' where guia='".$num_guia."' and id_mensajero='".$n_mensajero."'".$condicion." and id_estado<>15 and id_estado<>23"; 		
			$rs = $db->modificar($v_sql);
			$filas=mysql_affected_rows();
			if ($filas>0)
			{
				$v_sql="UPDATE rastreo_guias SET E".$egestion."='".$egestion."',F".$egestion."=NOW() WHERE GUIA='".$num_guia."'";
				$db->modificar($v_sql);
				##Guia Descargada.
				$_SESSION['cnt_des'] = $_SESSION['cnt_des']+mysql_affected_rows();
				$cadena = trim($num_guia).chr(13).chr(10);
				escribe_archivo($cadena,$_GET['id_user']."guias_descargadas.txt");
			}else{
$v_sql="select a.guia,b.nombre from guias_proceso as a inner join mensajeros as b on a.id_mensajero = b.id_mensajero where a.id_mensajero!='".$n_mensajero."' and  guia='".$num_guia."'";
				$rst=$db->consultar($v_sql);
				if (mysql_affected_rows()>0){
					$cursor=mysql_fetch_array($rst);
					$_SESSION['cnt_otro'] = $_SESSION['cnt_otro']+1;
					//echo 'Guia planillada a otro mensajero';
					$cadena = trim($num_guia).";".trim($cursor['1']).chr(13).chr(10);
					escribe_archivo($cadena,$_GET['id_user']."guias_otro_mensajero.txt");
				}else{
					$v_sql="select guia from guias_proceso where guia='".$num_guia."' and id_mensajero=0 ";
					$db->consultar($v_sql);
					if (mysql_affected_rows()>0){
						//echo 'Guia sin planillar';
						$_SESSION['cnt_sin'] = $_SESSION['cnt_sin']+1;
						$cadena = trim($num_guia).chr(13).chr(10);
						escribe_archivo($cadena,$_GET['id_user']."guias_sin_planillar.txt");
					}else{
						//echo 'Guia en otro estado.';
						if(!empty($num_guia)){
							$_SESSION['cnt_estado'] = $_SESSION['cnt_estado']+1;
							$cadena = trim($num_guia).chr(13).chr(10);
							escribe_archivo($cadena,$_GET['id_user']."guias_otro_estado.txt");
						}
					}
				}
			}
		}
	}
}
echo "<tr class=miTable_tr>";
echo "<td valign=top class=miTable_td> <div align='center'>".$_SESSION['cnt_des'].
"&nbsp;&nbsp;<a href='".$_GET['id_user']."guias_descargadas.txt' target='_blank'>Ver Detalle</a>&nbsp;&nbsp;
<a href='descargar.php?f=".$_GET['id_user']."guias_descargadas.txt'>Descargar</a> </div></td>";##Descargadas
echo "<td valign=top class=miTable_td> <div align='center'>".$_SESSION['cnt_sin'].
"&nbsp;&nbsp;<a href='".$_GET['id_user']."guias_sin_planillar.txt' target='_blank'>Ver Detalle</a> &nbsp;&nbsp;
<a href='descargar.php?f=".$_GET['id_user']."guias_sin_planillar.txt'>Descargar</a> </div></td>";##Sin Planillar
echo "<td valign=top class=miTable_td> <div align='center'>".$_SESSION['cnt_otro'].
"&nbsp;&nbsp;<a href='".$_GET['id_user']."guias_otro_mensajero.txt' target='_blank'>Ver Detalle</a> &nbsp;&nbsp;
<a href='descargar.php?f=".$_GET['id_user']."guias_otro_mensajero.txt'>Descargar</a> </div></td>";##Planilladas a otro Mensajero
echo "<td valign=top class=miTable_td> <div align='center'>".$_SESSION['cnt_estado'].
"&nbsp;&nbsp;<a href='".$_GET['id_user']."guias_otro_estado.txt' target='_blank'>Ver Detalle</a> &nbsp;&nbsp;
<a href='descargar.php?f=".$_GET['id_user']."guias_otro_estado.txt'>Descargar</a> </div></td>";##En otro Estado
echo "</tr>";
echo "</table>";
}
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <?
        pie_de_pagina();
        ?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
function date_diff($d1, $d2){
    $d1 = (is_string($d1) ? strtotime($d1) : $d1);
    $d2 = (is_string($d2) ? strtotime($d2) : $d2);  
    $diff_secs = ($d1 - $d2);
    return floor($diff_secs / (3600 * 24));
}

?>
</CENTER>
</form>
